CVE-2018-17294

Priority
Description
The matchCurrentInput function inside lou_translateString.c of Liblouis
prior to 3.7 does not check the input string's length, allowing attackers
to cause a denial of service (application crash via out-of-bounds read) by
crafting an input file with certain translation dictionaries.
Assigned-to
leosilva
Notes
Package
Upstream:released (3.7.0-1)
Ubuntu 12.04 ESM (Precise Pangolin):DNE
Ubuntu 14.04 ESM (Trusty Tahr):DNE (trusty was not-affected [code not present])
Ubuntu 16.04 LTS (Xenial Xerus):not-affected (code not present)
Ubuntu 18.04 LTS (Bionic Beaver):released (3.5.0-1ubuntu0.3)
Patches:
Upstream:https://github.com/liblouis/liblouis/commit/5e4089659bb49b3095fa541fa6387b4c40d7396e
More Information

Updated: 2019-12-05 18:50:41 UTC (commit dd38ff22974aae499eb50644b9d5a2817483cbdb)